libgimpprint API Reference: stp_printfuncs_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# stp_printfuncs_t Struct Reference
[printer]

`#include <printers.h>`

## Data Fields
stp_parameter_list_t(* | list_parameters )(const stp_vars_t *v)
void(* | parameters )(const stp_vars_t *v, const char *name, stp_parameter_t *)
void(* | media_size )(const stp_vars_t *v, int *width, int *height)
void(* | imageable_area )(const stp_vars_t *v, int *left, int *right, int *bottom, int *top)
void(* | limit )(const stp_vars_t *v, int *max_width, int *max_height, int *min_width, int *min_height)
int(* | print )(const stp_vars_t *v, stp_image_t *image)
void(* | describe_resolution )(const stp_vars_t *v, int *x, int *y)
const char *(* | describe_output )(const stp_vars_t *v)
int(* | verify )(stp_vars_t *v)
int(* | start_job )(const stp_vars_t *v, stp_image_t *image)
int(* | end_job )(const stp_vars_t *v, stp_image_t *image)

## Field Documentation

const char*(* stp_printfuncs_t::describe_output)(const stp_vars_t *v)

| Referenced by stp_describe_output().

void(* stp_printfuncs_t::describe_resolution)(const stp_vars_t *v, int *x, int *y)

| Referenced by stp_describe_resolution().

int(* stp_printfuncs_t::end_job)(const stp_vars_t *v, stp_image_t *image)

| Referenced by stp_end_job().

void(* stp_printfuncs_t::imageable_area)(const stp_vars_t *v, int *left, int *right, int *bottom, int *top)

| Referenced by stp_get_imageable_area().

void(* stp_printfuncs_t::limit)(const stp_vars_t *v, int *max_width, int *max_height, int *min_width, int *min_height)

| Referenced by stp_get_size_limit().

stp_parameter_list_t(* stp_printfuncs_t::list_parameters)(const stp_vars_t *v)

| Referenced by stp_printer_list_parameters().

void(* stp_printfuncs_t::media_size)(const stp_vars_t *v, int *width, int *height)

| Referenced by stp_get_media_size().

void(* stp_printfuncs_t::parameters)(const stp_vars_t *v, const char *name, stp_parameter_t *)

| Referenced by stp_printer_describe_parameter().

int(* stp_printfuncs_t::print)(const stp_vars_t *v, stp_image_t *image)

| Referenced by stp_print().

int(* stp_printfuncs_t::start_job)(const stp_vars_t *v, stp_image_t *image)

| Referenced by stp_start_job().

int(* stp_printfuncs_t::verify)(stp_vars_t *v)

| Referenced by stp_verify().

The documentation for this struct was generated from the following file:

- include/gimp-print/printers.h